RefCampaign/docs

Retry a failed payout

Re-attempts the payment provider call for a payout in `FAILED` state.

PUT
/api/v1/payouts/{id}/retry

Re-attempts the payment provider call for a payout in FAILED state.

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the merchant dashboard. Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://app.refcampaign.com/api/v1/payouts/string/retry"
Empty
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "string",
    "details": null
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z",
    "requestId": "string"
  }
}